Subject: SunOS Pine 4.02 addressbook problem

From: Jim Rapp <[email-masked]>
Date: Fri, 31 Jul 1998 14:17:05 -0700 (PDT)

I've installed Pine 4.02 on SunOS 4.1.3 systems and have run into a
problem when trying to enter an addressbook entry with multiple
addresses.  For example, if I enter a new addressbook entry:

    Nickname  : test
    Fullname  : just a test
    Fcc       : 
    Comment   : this address contains a list
    Addresses : you, me, them

and try to exit and save this new entry, Pine crashes:

    No more available memory.
    Pine Exiting
    Arithmetic exception

I have installed this same version of Pine on Solaris (2.5 and 2.6), HP
and BSDi systems and this same addressbook entry causes them no trouble.
I have tried rebuilding this version of SunOS Pine using 'gcc' instead
of Sun's 'acc', to no avail.  It also happens whether or not I uncomment
the 'CHECK_QUOTAS' directive in ...src/pine/osdep/os-sun.h.

It looks like a bug to me.  Can anyone confirm this?  I didn't find it
listed in this discussion's archive on www.washington.edu.  Has it come
up before?  If so, is there a known workaround short of installing an
earlier version?  (It happens with Pine 4.01 as well.)

TIA.
	--Jim Rapp

=========================================================================
Jim Rapp                                         (619) 534-4060
Academic Computing Services                      (619) 534-7018 fax
University of California, San Diego             
9500 Gilman Drive, Dept 0110                     
La Jolla, CA  92093-0110                         Internet: [email-masked]
=========================================================================

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------